libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

eit.h File Reference
Digital TV table parsing

Provides the table parser for the DVB EIT (Event Information Table) More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <time.h>`
`#include <libdvbv5/header.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_table_eit_event
| DVB EIT event table. More...
struct | dvb_table_eit
| DVB EIT table. More...

## Macros
#define | DVB_TABLE_EIT
| DVB EIT table ID for the actual TS.
#define | DVB_TABLE_EIT_OTHER
| DVB EIT table ID for other TS.
#define | DVB_TABLE_EIT_PID
| DVB EIT Program ID.
#define | DVB_TABLE_EIT_SCHEDULE
| Start table ID for the DVB EIT schedule data on the actual TS The range has 0x0f elements (0x50 to 0x5F).
#define | DVB_TABLE_EIT_SCHEDULE_OTHER
| Start table ID for the DVB EIT schedule data on other TS The range has 0x0f elements (0x60 to 0x6F).
#define | dvb_eit_event_foreach(_event, _eit)
| Macro used to find event on a DVB EIT table.

## Functions
ssize_t | dvb_table_eit_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct dvb_table_eit **table)
| Initializes and parses EIT table.
void | dvb_table_eit_free (struct dvb_table_eit *table)
| Frees all data allocated by the DVB EIT table parser.
void | dvb_table_eit_print (struct dvb_v5_fe_parms *parms, struct dvb_table_eit *table)
| Prints the content of the DVB EIT table.
void | dvb_time (const uint8_t data[5], struct tm *tm)
| Converts a DVB EIT formatted timestamp into struct tm.

## Variables
const char * | dvb_eit_running_status_name [8]
| Converts a running_status field into string.

## Detailed Description

Provides the table parser for the DVB EIT (Event Information Table)

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ETSI EN 300 468

See also
  http://www.etherguidesystems.com/Help/SDOs/dvb/syntax/tablesections/EIT.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file eit.h.

## Variable Documentation

## ◆ dvb_eit_running_status_name

const char* dvb_eit_running_status_name[8]
| extern

Converts a running_status field into string.